public class RefreshMediaPlayUrlsRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
definitions
Specifies the resolutions of the media streams you want to refresh or prefetch.
|
String |
formats
The formats of the media streams you want to refresh or prefetch.
|
String |
mediaIds
The IDs of the media files that you want to refresh or prefetch.
|
String |
resultType
Specifies the type of the refresh or prefetch operation.
|
Integer |
sliceCount
Specifies the number of the playback URLs of the TS files for the M3U8 media stream you want to refresh or prefetch.
|
Boolean |
sliceFlag
Specifies whether to refresh or prefetch the playback URLs of the TS files of the M3U8 media stream.
|
String |
streamType
Specifies the types of media streams you want to refresh or prefetch.
|
String |
taskType
The type of the task that you want to create.
|
String |
userData
The custom configurations such as callback configurations and upload acceleration configurations.
|
| 构造器和说明 |
|---|
RefreshMediaPlayUrlsRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static RefreshMediaPlayUrlsRequest |
build(Map<String,?> map) |
String |
getDefinitions() |
String |
getFormats() |
String |
getMediaIds() |
String |
getResultType() |
Integer |
getSliceCount() |
Boolean |
getSliceFlag() |
String |
getStreamType() |
String |
getTaskType() |
String |
getUserData() |
RefreshMediaPlayUrlsRequest |
setDefinitions(String definitions) |
RefreshMediaPlayUrlsRequest |
setFormats(String formats) |
RefreshMediaPlayUrlsRequest |
setMediaIds(String mediaIds) |
RefreshMediaPlayUrlsRequest |
setResultType(String resultType) |
RefreshMediaPlayUrlsRequest |
setSliceCount(Integer sliceCount) |
RefreshMediaPlayUrlsRequest |
setSliceFlag(Boolean sliceFlag) |
RefreshMediaPlayUrlsRequest |
setStreamType(String streamType) |
RefreshMediaPlayUrlsRequest |
setTaskType(String taskType) |
RefreshMediaPlayUrlsRequest |
setUserData(String userData) |
@NameInMap(value="Definitions") public String definitions
Specifies the resolutions of the media streams you want to refresh or prefetch. You can specify multiple resolutions. Separate multiple resolutions with commas (,). If you leave this parameter empty, media streams in all resolutions are refreshed or prefetched by default.
> The value must be supported in the **Definition** section in [Parameters for media assets](~~124671~~).
@NameInMap(value="Formats") public String formats
The formats of the media streams you want to refresh or prefetch. You can specify multiple formats. Separate multiple formats with commas (,). If you leave this parameter empty, media streams in all formats are refreshed or prefetched by default. Valid values:
* **mp4**
* **m3u8**
* **mp3**
* **flv**
* **webm**
* **ts**
@NameInMap(value="MediaIds") public String mediaIds
The IDs of the media files that you want to refresh or prefetch. You can specify a maximum of 20 IDs. Separate multiple IDs with commas (,). You can use one of the following methods to obtain the ID:
* Log on to the [ApsaraVideo VOD](https://vod.console.aliyun.com) console. In the left-side navigation pane, choose **Media Files** > **Audio/Video**. On the Video and Audio page, view the ID of the audio or video file. This method is applicable to files that are uploaded by using the ApsaraVideo VOD console.
* Obtain the value of VideoId from the response to the [CreateUploadVideo](~~55407~~) operation that you call to upload media files.
* Obtain the value of VideoId from the response to the [SearchMedia](~~86044~~) operation that you call to query the media ID after the media file is uploaded.
@NameInMap(value="ResultType") public String resultType
Specifies the type of the refresh or prefetch operation. Default value: Single. Valid values:
* **Single**: Only one latest transcoded stream is refreshed or prefetched for each resolution and format.
* **Multiple**: All transcoded streams are refreshed or prefetched for each resolution and format.
@NameInMap(value="SliceCount") public Integer sliceCount
Specifies the number of the playback URLs of the TS files for the M3U8 media stream you want to refresh or prefetch. After you set this parameter, only the playback URLs of the first N TS files will be refreshed or prefetched. Valid values: 1 to 20. Default value: 5.
@NameInMap(value="SliceFlag") public Boolean sliceFlag
Specifies whether to refresh or prefetch the playback URLs of the TS files of the M3U8 media stream. Default value: false. Valid values:
* **false**
* **true**
@NameInMap(value="StreamType") public String streamType
Specifies the types of media streams you want to refresh or prefetch. You can specify multiple types. Separate multiple types with commas (,). If you leave this parameter empty, media streams in all types are refreshed or prefetched by default. Valid values:
* **video**
* **audio**
@NameInMap(value="TaskType") public String taskType
The type of the task that you want to create. Valid values:
* **Refresh**
* **Preload**
@NameInMap(value="UserData") public String userData
The custom configurations such as callback configurations and upload acceleration configurations. The value is a JSON string. For more information, see [Request parameter](~~86952~~).
>
- The callback configurations take effect only after you specify the HTTP callback URL and select specific callback events in the ApsaraVideo VOD console. For more information about how to configure HTTP callback settings in the ApsaraVideo VOD console, see [Configure callback settings](~~86071~~).
- You must submit a ticket to enable the upload acceleration feature. For more information, see [Overview](~~55396~~).
public static RefreshMediaPlayUrlsRequest build(Map<String,?> map) throws Exception
Exceptionpublic RefreshMediaPlayUrlsRequest setDefinitions(String definitions)
public String getDefinitions()
public RefreshMediaPlayUrlsRequest setFormats(String formats)
public String getFormats()
public RefreshMediaPlayUrlsRequest setMediaIds(String mediaIds)
public String getMediaIds()
public RefreshMediaPlayUrlsRequest setResultType(String resultType)
public String getResultType()
public RefreshMediaPlayUrlsRequest setSliceCount(Integer sliceCount)
public Integer getSliceCount()
public RefreshMediaPlayUrlsRequest setSliceFlag(Boolean sliceFlag)
public Boolean getSliceFlag()
public RefreshMediaPlayUrlsRequest setStreamType(String streamType)
public String getStreamType()
public RefreshMediaPlayUrlsRequest setTaskType(String taskType)
public String getTaskType()
public RefreshMediaPlayUrlsRequest setUserData(String userData)
public String getUserData()
Copyright © 2024. All rights reserved.